Mercury API
msgAddGEN2LockTag Method (msg, timeout, accessPassword, mask, action)
Namespaces ► ThingMagic ► SerialReader ► msgAddGEN2LockTag(List<(Of <(Byte>)>)%, UInt16, UInt32, UInt16, UInt16)
Assemble the embedded command for Lock
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public byte msgAddGEN2LockTag(
    	ref List<byte> msg,
    	ushort timeout,
    	uint accessPassword,
    	ushort mask,
    	ushort action
    )

    <ObsoleteAttribute> _
    Public Function msgAddGEN2LockTag ( _
    	ByRef msg As List(Of Byte), _
    	timeout As UShort, _
    	accessPassword As UInteger, _
    	mask As UShort, _
    	action As UShort _
    ) As Byte

    [ObsoleteAttribute]
    public:
    unsigned char msgAddGEN2LockTag(
    	List<unsigned char>^% msg,
    	unsigned short timeout,
    	unsigned int accessPassword,
    	unsigned short mask,
    	unsigned short action
    )

Parameters

msg ( List <(Of <( Byte >)>) %)
  The embedded command bytes

timeout (UInt16)
  The operation timeout

accessPassword (UInt32)
  The access password

mask (UInt16)
  Bitmask indicating which lock bits to change

action (UInt16)
  The lock action

Return Value
the length of the assembled embedded command

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)